./print/gv, PostScript and PDF previewer

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.7.4nb6, Package name: gv-3.7.4nb6, Maintainer: pkgsrc-users

gv is an X11 PostScript and PDF previewer based on Tim Theisen's
ghostview-1.5. It uses the Xaw3d widget set, thus providing a much
nicer look and it's said to be a bit faster.


Required to run:
[print/ghostscript] [lang/perl5] [x11/libXaw3d]

Required to build:
[pkgtools/x11-links]

Master sites: (Expand)

SHA1: d5bc11a37136dff69248f943a632544a4036b63f
RMD160: 2347f27d6caaf4a6791f0f3d8fddf208f10efd66
Filesize: 741.491 KB

Version history: (Expand)


CVS history: (Expand)


   2016-01-06 11:14:10 by Mark Davies | Files touched by this commit (1)
Log message:
Use pkg-config when building so that correct defines are used when
building against libXaw3d.  Fixes problem that gv would fail with the
error:
Warning: Representation size 4 must match superclass's to override \ 
highlightedFrameStyle
Error: Object "toggleEven" does not have windowed ancestor
   2015-12-03 18:34:56 by Leonardo Taccari | Files touched by this commit (3) | Package updated
Log message:
Fix build for XAW_TYPE xpm and bump PKGREVISION.

Despite the upstream commit message in patch-src_Scrollbar.c the change not only
fix the build for older libXaw3d versions but also for Xaw-Xpm.
   2015-11-04 02:03:03 by Alistair G. Crooks | Files touched by this commit (1194)
Log message:
Add SHA512 digests for distfiles for print category

Problems found locating distfiles:
	Package acroread7: missing distfile AdobeReader_enu-7.0.9-1.i386.tar.gz
	Package acroread8: missing distfile AdobeReader_enu-8.1.7-1.sparc.tar.gz
	Package cups-filters: missing distfile cups-filters-1.1.0.tar.xz
	Package dvidvi: missing distfile dvidvi-1.0.tar.gz
	Package lgrind: missing distfile lgrind.tar.bz2

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-10-14 22:17:28 by Thomas Klausner | Files touched by this commit (54)
Log message:
Switch from x11/Xaw3d to newer x11/libXaw3d.

Adapt some packages so they build with that.
Bump their PKGREVISIONs.
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.
   2013-05-31 14:42:58 by Thomas Klausner | Files touched by this commit (2880)
Log message:
Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.
   2013-04-30 22:55:49 by Mark Davies | Files touched by this commit (2) | Package updated
Log message:
Update to 3.7.4

%%%%%%%%%%%%%%%%%%% GV 3.7.4 (March 2013) %%%%%%%%%%%%%%%%%%%%%%%%%%

# Fixed CVE-2012-3386 (by using updated automake)
# Fixed bug-gv] Problem after saving gv-settings
# improve wording of gv-update-userconfig manual
# Scrolling and memory access improved
# README.I18N adjusted for libXaw3d 1.6.x
# Fixed GNU gv 3.6.4 - 3.7.3 page selector button geometry bug

%%%%%%%%%%%%%%%%%%% GV 3.7.3.90 (March 2012) %%%%%%%%%%%%%%%%%%%%%%%%%%

# Support for libXaw3d-1.6.x